function [residual, g1, g2, g3] = m1_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(128, 1);
T74 = y(57)-y(90)-params(61)/(1+params(62))*y(70)^(1+params(62));
T189 = y(4)/y(6);
T193 = y(15)/y(25);
T243 = y(176)^params(54);
T249 = params(2)*y(55)^params(54);
T346 = y(56)^params(56);
T359 = y(177)^params(56);
T749 = y(121)-y(154)-params(132)/(1+params(133))*y(134)^(1+params(133));
T856 = y(23)/y(25);
T859 = y(34)/y(6);
T906 = y(204)^params(125);
T912 = params(73)*y(119)^params(125);
T1004 = y(120)^params(127);
T1017 = y(205)^params(127);
T1378 = y(83)*(-1)/T346/y(84);
T1477 = (-((-y(174))/(y(54)*y(54))));
T1494 = params(2)*getPowerDeriv(y(55),params(54),1);
T1511 = getPowerDeriv(y(176),params(54),1);
T1524 = getPowerDeriv(y(56),params(56),1);
T1544 = getPowerDeriv(y(177),params(56),1);
T1569 = getPowerDeriv(T74,(-params(55)),1);
T1643 = (-(y(187)*T249*(-params(14))/y(188)));
T2040 = y(147)*(-1)/T1004/y(148);
T2127 = (-((-y(202))/(y(118)*y(118))));
T2144 = params(73)*getPowerDeriv(y(119),params(125),1);
T2161 = getPowerDeriv(y(204),params(125),1);
T2174 = getPowerDeriv(y(120),params(127),1);
T2194 = getPowerDeriv(y(205),params(127),1);
T2219 = getPowerDeriv(T749,(-params(126)),1);
T2293 = (-(y(215)*T912*(-params(85))/y(216)));
lhs =y(84)*y(57)+y(83)*y(58)+y(83)*y(51)+y(84)*y(66)+y(83)*y(41)+y(83)*y(43);
rhs =y(83)*y(74)*y(7)+y(83)*y(72)*y(5)+y(83)*(1+y(76)-params(20))*y(9)+y(80)*y(70)-y(84)*y(79)+y(39)-y(5)/y(6)*y(48);
residual(1)= lhs-rhs;
lhs =y(94);
rhs =(1-params(70))*(y(57)-y(90))^(-params(55))+params(70)*T74^(-params(55));
residual(2)= lhs-rhs;
lhs =y(93);
rhs =(1-params(70))*params(61)*y(70)^params(62)+params(70)*y(70)^params(62)*y(94)*params(61);
residual(3)= lhs-rhs;
lhs =y(83)*y(94)*(1+y(43))/y(84);
rhs =params(1)*y(191)*(y(182)+params(60)*y(169))*y(187)/y(188);
residual(4)= lhs-rhs;
lhs =y(83)*y(94)*(1+y(41))/y(84);
rhs =y(187)*params(1)*y(191)*(y(181)-y(174)/y(54)+params(60)*y(167))/y(188);
residual(5)= lhs-rhs;
residual(6) = params(71)*(y(94)*y(96)-params(1)*y(191)*(y(184)+params(60)*(1-params(20))*y(193)))+(1-params(71))*(y(94)*(1+y(45))-params(1)*y(191)*(1+y(184)-params(20)+params(60)*y(171)));
lhs =y(80)*y(94);
rhs =y(93);
residual(7)= lhs-rhs;
lhs =y(83)*y(74)*y(7)+y(84)*y(55)+y(83)*y(69)+y(83)*y(49)+y(85)*y(86)+y(83)*y(46)+y(83)*y(40)+y(83)*y(42)+y(85)*y(89);
rhs =y(83)*y(58)+y(83)*y(78)*y(10)+y(83)*y(72)*y(4)+y(85)*y(136)*y(15)-y(39)-y(48)*T189-T193*y(112);
residual(8)= lhs-rhs;
residual(9) = y(83)*y(58)-params(14)*(y(83)*y(7)-y(83)*y(10)-y(83)*(y(4)-T189*y(3)-T193*y(22))-y(85)*y(15))-y(83)*(1-(1-params(14))*(1-params(12)))*(y(69)-y(39))-y(49)*y(83)*(1-(1-params(14))*(1-params(11)))-y(86)*y(85)*(1-(1-params(14))*(1-params(13)));
lhs =y(83)*(1-y(42)-y(67))*T243/y(84);
rhs =y(187)*T249*(y(182)-params(14)*y(179)-params(60)*y(168))/y(188);
residual(10)= lhs-rhs;
lhs =y(83)*T243*(1+y(46)-y(67)*(params(14)+(1-params(14))*params(12)))/y(84);
rhs =y(187)*T249*(y(185)-params(14)*y(179)+params(60)*y(172))/y(188);
residual(11)= lhs-rhs;
lhs =y(83)*T243*(1+y(40)-y(67)*(params(14)+(1-params(14))*params(11)))/y(84);
rhs =y(187)*T249*(y(181)-y(174)/y(54)-params(14)*y(179)+params(60)*y(166))/y(188);
residual(12)= lhs-rhs;
lhs =y(85)*T243*(1+y(89)-y(67)*(params(14)+(1-params(14))*params(13)))/y(84);
rhs =T249*(y(209)-y(202)/y(118)-params(14)*y(179)+params(60)*y(190))*y(189)/y(188);
residual(13)= lhs-rhs;
lhs =y(83)*y(78)*y(10)+y(84)*y(56)+y(84)*y(65)+y(83)*y(47);
rhs =y(83)*y(69)+y(84)*(1+y(75)-params(20))*y(8);
residual(14)= lhs-rhs;
lhs =y(83)*y(69);
rhs =y(10)*y(83)*params(15)+y(84)*(1-params(15))*y(65)*params(6);
residual(15)= lhs-rhs;
lhs =y(83)*(1-y(47)-y(68))/T346/y(84);
rhs =y(187)*params(3)*(y(185)-params(60)*y(173)-params(15)*y(180))/T359/y(188);
residual(16)= lhs-rhs;
residual(17) = params(71)*(y(95)*(1-params(6)*(1-params(15))*y(68))/T346-params(3)*(y(183)+params(60)*(1-params(20))*y(192))/T359)+(1-params(71))*((1+y(44)-params(6)*(1-params(15))*y(68))/T346-params(3)*(1+y(183)-params(20)+params(60)*y(170))/T359);
lhs =log(y(81));
rhs =y(38)+params(4)*params(5)*log(y(8))+params(4)*(1-params(5))*log(y(9))+(1-params(4))*log(y(70));
residual(18)= lhs-rhs;
lhs =y(81)*params(4)*params(5);
rhs =y(75)*y(8);
residual(19)= lhs-rhs;
lhs =y(81)*params(4)*(1-params(5));
rhs =y(76)*y(9);
residual(20)= lhs-rhs;
lhs =y(81)*(1-params(4));
rhs =y(80)*y(70);
residual(21)= lhs-rhs;
lhs =y(84);
rhs =1;
residual(22)= lhs-rhs;
lhs =y(85);
rhs =1;
residual(23)= lhs-rhs;
lhs =y(83)*y(51)+y(83)*y(49)+y(83)*y(150);
rhs =y(83)*y(72)*(y(5)+y(4)+y(34))-y(48)+y(84)*y(64)-y(84)*y(79);
residual(24)= lhs-rhs;
lhs =y(91);
rhs =(-y(187))*y(175)+y(54)*y(71)-y(174)+y(84)*y(178)-y(84)*y(186);
residual(25)= lhs-rhs;
lhs =y(83)*y(51)+y(83)*y(49)+y(83)*y(150);
rhs =(1-params(16))*params(66)*exp(y(48)*(-params(67)))*y(83)*y(81)+params(16)*(y(83)*y(4)+y(83)*y(5)+y(83)*y(34))-y(92);
residual(26)= lhs-rhs;
lhs =y(92);
rhs =params(19)*y(17)+x(it_, 6);
residual(27)= lhs-rhs;
lhs =y(79);
rhs =params(18)*y(14)+y(81)*(1-params(18))*params(30)+x(it_, 5);
residual(28)= lhs-rhs;
lhs =y(83);
rhs =1;
residual(29)= lhs-rhs;
lhs =y(38)-log(params(10));
rhs =params(7)*(y(1)-log(params(10)))+x(it_, 1);
residual(30)= lhs-rhs;
lhs =y(39);
rhs =params(8)*y(2)+x(it_, 2);
residual(31)= lhs-rhs;
lhs =y(48);
rhs =y(3)*params(53)+x(it_, 4);
residual(32)= lhs-rhs;
lhs =y(90);
rhs =params(9)*y(16)+x(it_, 3);
residual(33)= lhs-rhs;
lhs =y(40);
rhs =params(26)*(y(49)-y(4))/params(35);
residual(34)= lhs-rhs;
lhs =y(41);
rhs =params(21)*(y(51)-y(5))/params(36);
residual(35)= lhs-rhs;
lhs =y(89);
rhs =params(31)*(y(86)-y(15))/params(37);
residual(36)= lhs-rhs;
lhs =y(42);
rhs =params(22)*(y(58)-y(7))/y(7);
residual(37)= lhs-rhs;
lhs =y(43);
rhs =(y(58)-y(7))*params(23)/y(7);
residual(38)= lhs-rhs;
lhs =y(44);
rhs =params(71)*params(24)*(y(97)-y(18))/y(18)+(1-params(71))*params(24)*(y(65)-y(8))/y(8);
residual(39)= lhs-rhs;
lhs =y(45);
rhs =params(71)*params(25)*(y(98)-y(19))/y(19)+(1-params(71))*params(25)*(y(66)-y(9))/y(9);
residual(40)= lhs-rhs;
lhs =y(46);
rhs =params(27)*(y(69)-y(10))/y(10);
residual(41)= lhs-rhs;
lhs =y(47);
rhs =(y(69)-y(10))*params(28)/y(10);
residual(42)= lhs-rhs;
lhs =y(53);
rhs =y(51)/(y(150)+y(51)+y(49));
residual(43)= lhs-rhs;
lhs =y(72);
rhs =params(57)*y(11)+y(71)*(1-params(57));
residual(44)= lhs-rhs;
lhs =y(74);
rhs =params(58)*y(12)+(1-params(58))*y(73);
residual(45)= lhs-rhs;
lhs =y(78);
rhs =params(59)*y(13)+(1-params(59))*y(77);
residual(46)= lhs-rhs;
lhs =y(59);
rhs =y(181);
residual(47)= lhs-rhs;
lhs =y(60);
rhs =y(182);
residual(48)= lhs-rhs;
lhs =y(61);
rhs =y(183);
residual(49)= lhs-rhs;
lhs =y(62);
rhs =y(184);
residual(50)= lhs-rhs;
lhs =y(63);
rhs =y(185);
residual(51)= lhs-rhs;
lhs =y(87);
rhs =y(85)*y(86)/(y(83)*y(81)*4);
residual(52)= lhs-rhs;
lhs =y(52);
rhs =y(51)/(y(81)*4);
residual(53)= lhs-rhs;
lhs =y(50);
rhs =y(49)/(y(81)*4);
residual(54)= lhs-rhs;
lhs =y(83)*y(54);
rhs =y(83)*y(51)+y(83)*y(49)+y(83)*y(150);
residual(55)= lhs-rhs;
lhs =y(82);
rhs =y(84)*y(64)/(y(83)*params(38));
residual(56)= lhs-rhs;
lhs =y(88);
rhs =y(54)/y(81);
residual(57)= lhs-rhs;
residual(58) = params(71)*((y(95)*(1-y(44))-1)/T346+y(170)*params(60)*params(3)/T359)+(1-params(71))*(y(95)-1);
residual(59) = params(71)*(y(94)*(y(96)*(1-y(45))-1)+y(191)*y(171)*params(1)*params(60))+(1-params(71))*(y(96)-1);
lhs =y(97);
rhs =y(65)-(1-params(20))*y(8);
residual(60)= lhs-rhs;
lhs =y(98);
rhs =y(66)-y(9)*(1-params(20));
residual(61)= lhs-rhs;
lhs =y(99);
rhs =y(56)+y(57)+y(55);
residual(62)= lhs-rhs;
lhs =y(100);
rhs =y(97)+y(98);
residual(63)= lhs-rhs;
lhs =y(83)*y(101);
rhs =y(83)*y(81)-y(84)*y(99)-y(84)*y(100)-y(84)*y(64);
residual(64)= lhs-rhs;
lhs =y(148)*y(121)+y(147)*y(122)+y(147)*y(115)+y(148)*y(130)+y(147)*y(105)+y(147)*y(107);
rhs =y(147)*y(138)*y(26)+y(136)*y(147)*y(24)+y(147)*(1+y(140)-params(91))*y(28)+y(144)*y(134)-y(148)*y(143)+y(103)-y(112)*y(24)/y(25);
residual(65)= lhs-rhs;
lhs =y(158);
rhs =(1-params(141))*(y(121)-y(154))^(-params(126))+params(141)*T749^(-params(126));
residual(66)= lhs-rhs;
lhs =y(157);
rhs =(1-params(141))*params(132)*y(134)^params(133)+params(141)*y(134)^params(133)*y(158)*params(132);
residual(67)= lhs-rhs;
lhs =y(147)*y(158)*(1+y(107))/y(148);
rhs =params(72)*y(219)*(y(210)+params(131)*y(197))*y(215)/y(216);
residual(68)= lhs-rhs;
lhs =y(147)*y(158)*(1+y(105))/y(148);
rhs =y(215)*params(72)*y(219)*(y(209)-y(202)/y(118)+params(131)*y(195))/y(216);
residual(69)= lhs-rhs;
residual(70) = params(142)*(y(158)*y(160)-params(72)*y(219)*(y(212)+params(131)*(1-params(91))*y(221)))+(1-params(142))*(y(158)*(1+y(109))-params(72)*y(219)*(1+y(212)-params(91)+params(131)*y(199)));
lhs =y(144)*y(158);
rhs =y(157);
residual(71)= lhs-rhs;
lhs =y(147)*y(138)*y(26)+y(148)*y(119)+y(147)*y(133)+y(147)*y(113)+y(150)*y(149)+y(147)*y(110)+y(147)*y(104)+y(147)*y(106)+y(149)*y(153);
rhs =y(147)*y(122)+y(147)*y(142)*y(29)+y(136)*y(147)*y(23)+y(34)*y(72)*y(149)-y(103)-y(112)*T856-y(48)*T859;
residual(72)= lhs-rhs;
residual(73) = y(147)*y(122)-params(85)*(y(147)*y(26)-y(147)*y(29)-y(147)*(y(23)-y(22)*T856-y(3)*T859)-y(34)*y(149))-y(147)*(1-(1-params(85))*(1-params(83)))*(y(133)-y(103))-y(113)*y(147)*(1-(1-params(85))*(1-params(82)))-y(150)*y(149)*(1-(1-params(85))*(1-params(84)));
lhs =y(147)*(1-y(106)-y(131))*T906/y(148);
rhs =y(215)*T912*(y(210)-params(85)*y(207)-params(131)*y(196))/y(216);
residual(74)= lhs-rhs;
lhs =y(147)*T906*(1+y(110)-y(131)*(params(85)+(1-params(85))*params(83)))/y(148);
rhs =y(215)*T912*(y(213)-params(85)*y(207)+params(131)*y(200))/y(216);
residual(75)= lhs-rhs;
lhs =y(147)*T906*(1+y(104)-y(131)*(params(85)+(1-params(85))*params(82)))/y(148);
rhs =y(215)*T912*(y(209)-y(202)/y(118)-params(85)*y(207)+params(131)*y(194))/y(216);
residual(76)= lhs-rhs;
lhs =y(149)*T906*(1+y(153)-y(131)*(params(85)+(1-params(85))*params(84)))/y(148);
rhs =T912*(y(181)-y(174)/y(54)-params(85)*y(207)+params(131)*y(218))*y(217)/y(216);
residual(77)= lhs-rhs;
lhs =y(147)*y(142)*y(29)+y(148)*y(120)+y(148)*y(129)+y(147)*y(111);
rhs =y(147)*y(133)+y(148)*(1+y(139)-params(91))*y(27);
residual(78)= lhs-rhs;
lhs =y(147)*y(133);
rhs =y(29)*y(147)*params(86)+y(148)*(1-params(86))*y(129)*params(77);
residual(79)= lhs-rhs;
lhs =y(147)*(1-y(111)-y(132))/T1004/y(148);
rhs =y(215)*params(74)*(y(213)-params(131)*y(201)-params(86)*y(208))/T1017/y(216);
residual(80)= lhs-rhs;
residual(81) = params(142)*(y(159)*(1-params(77)*(1-params(86))*y(132))/T1004-params(74)*(y(211)+params(131)*(1-params(91))*y(220))/T1017)+(1-params(142))*((1+y(108)-params(77)*(1-params(86))*y(132))/T1004-params(74)*(1+y(211)-params(91)+params(131)*y(198))/T1017);
lhs =log(y(145));
rhs =y(102)+params(75)*params(76)*log(y(27))+params(75)*(1-params(76))*log(y(28))+(1-params(75))*log(y(134));
residual(82)= lhs-rhs;
lhs =y(145)*params(75)*params(76);
rhs =y(139)*y(27);
residual(83)= lhs-rhs;
lhs =y(145)*params(75)*(1-params(76));
rhs =y(140)*y(28);
residual(84)= lhs-rhs;
lhs =y(145)*(1-params(75));
rhs =y(144)*y(134);
residual(85)= lhs-rhs;
lhs =y(148);
rhs =1;
residual(86)= lhs-rhs;
lhs =y(149);
rhs =1;
residual(87)= lhs-rhs;
lhs =y(147)*y(115)+y(147)*y(113)+y(86)*y(147);
rhs =y(136)*y(147)*(y(15)+y(24)+y(23))-y(112)+y(148)*y(128)-y(148)*y(143);
residual(88)= lhs-rhs;
lhs =y(155);
rhs =(-y(215))*y(203)+y(118)*y(135)-y(202)+y(148)*y(206)-y(148)*y(214);
residual(89)= lhs-rhs;
lhs =y(147)*y(115)+y(147)*y(113)+y(86)*y(147);
rhs =(1-params(87))*params(137)*exp(y(112)*(-params(138)))*y(147)*y(145)+params(87)*(y(147)*y(23)+y(147)*y(24)+y(15)*y(147))-y(156);
residual(90)= lhs-rhs;
residual(91) = y(156);
lhs =y(143);
rhs =params(89)*y(33)+y(145)*(1-params(89))*params(101)+x(it_, 11);
residual(92)= lhs-rhs;
lhs =y(147);
rhs =1;
residual(93)= lhs-rhs;
lhs =y(102)-log(params(81));
rhs =params(78)*(y(20)-log(params(81)))+x(it_, 7);
residual(94)= lhs-rhs;
lhs =y(103);
rhs =params(79)*y(21)+x(it_, 8);
residual(95)= lhs-rhs;
lhs =y(112);
rhs =y(22)*params(124)+x(it_, 10);
residual(96)= lhs-rhs;
lhs =y(154);
rhs =params(80)*y(35)+x(it_, 9);
residual(97)= lhs-rhs;
lhs =y(104);
rhs =params(97)*(y(113)-y(23))/params(106);
residual(98)= lhs-rhs;
lhs =y(105);
rhs =params(92)*(y(115)-y(24))/params(107);
residual(99)= lhs-rhs;
lhs =y(153);
rhs =params(102)*(y(150)-y(34))/params(108);
residual(100)= lhs-rhs;
lhs =y(106);
rhs =params(93)*(y(122)-y(26))/y(26);
residual(101)= lhs-rhs;
lhs =y(107);
rhs =(y(122)-y(26))*params(94)/y(26);
residual(102)= lhs-rhs;
lhs =y(108);
rhs =params(142)*params(95)*(y(161)-y(36))/y(36)+(1-params(142))*params(95)*(y(129)-y(27))/y(27);
residual(103)= lhs-rhs;
lhs =y(109);
rhs =params(142)*params(96)*(y(162)-y(37))/y(37)+(1-params(142))*params(96)*(y(130)-y(28))/y(28);
residual(104)= lhs-rhs;
lhs =y(110);
rhs =params(98)*(y(133)-y(29))/y(29);
residual(105)= lhs-rhs;
lhs =y(111);
rhs =(y(133)-y(29))*params(99)/y(29);
residual(106)= lhs-rhs;
lhs =y(117);
rhs =y(115)/(y(86)+y(115)+y(113));
residual(107)= lhs-rhs;
lhs =y(136);
rhs =params(128)*y(30)+y(135)*(1-params(128));
residual(108)= lhs-rhs;
lhs =y(138);
rhs =params(129)*y(31)+(1-params(129))*y(137);
residual(109)= lhs-rhs;
lhs =y(142);
rhs =params(130)*y(32)+(1-params(130))*y(141);
residual(110)= lhs-rhs;
lhs =y(123);
rhs =y(209);
residual(111)= lhs-rhs;
lhs =y(124);
rhs =y(210);
residual(112)= lhs-rhs;
lhs =y(125);
rhs =y(211);
residual(113)= lhs-rhs;
lhs =y(126);
rhs =y(212);
residual(114)= lhs-rhs;
lhs =y(127);
rhs =y(213);
residual(115)= lhs-rhs;
lhs =y(151);
rhs =y(150)*y(149)/(4*y(147)*y(145));
residual(116)= lhs-rhs;
lhs =y(116);
rhs =y(115)/(4*y(145));
residual(117)= lhs-rhs;
lhs =y(114);
rhs =y(113)/(4*y(145));
residual(118)= lhs-rhs;
lhs =y(118)*y(147);
rhs =y(147)*y(115)+y(147)*y(113)+y(86)*y(147);
residual(119)= lhs-rhs;
lhs =y(146);
rhs =y(148)*y(128)/(y(147)*params(109));
residual(120)= lhs-rhs;
lhs =y(152);
rhs =y(118)/y(145);
residual(121)= lhs-rhs;
residual(122) = params(142)*((y(159)*(1-y(108))-1)/T1004+y(198)*params(131)*params(74)/T1017)+(1-params(142))*(y(159)-1);
residual(123) = params(142)*(y(158)*(y(160)*(1-y(109))-1)+y(219)*y(199)*params(72)*params(131))+(1-params(142))*(y(160)-1);
lhs =y(161);
rhs =y(129)-(1-params(91))*y(27);
residual(124)= lhs-rhs;
lhs =y(162);
rhs =y(130)-y(28)*(1-params(91));
residual(125)= lhs-rhs;
lhs =y(163);
rhs =y(120)+y(121)+y(119);
residual(126)= lhs-rhs;
lhs =y(164);
rhs =y(161)+y(162);
residual(127)= lhs-rhs;
lhs =y(147)*y(165);
rhs =y(147)*y(145)-y(148)*y(163)-y(148)*y(164)-y(148)*y(128);
residual(128)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(128, 233);

%
% Jacobian matrix
%

g1(1,39)=(-1);
g1(1,41)=y(83);
g1(1,43)=y(83);
g1(1,48)=y(5)/y(6);
g1(1,5)=(-(y(83)*y(72)-y(48)*1/y(6)));
g1(1,51)=y(83);
g1(1,6)=y(48)*(-y(5))/(y(6)*y(6));
g1(1,57)=y(84);
g1(1,7)=(-(y(83)*y(74)));
g1(1,58)=y(83);
g1(1,9)=(-(y(83)*(1+y(76)-params(20))));
g1(1,66)=y(84);
g1(1,70)=(-y(80));
g1(1,72)=(-(y(83)*y(5)));
g1(1,74)=(-(y(83)*y(7)));
g1(1,76)=(-(y(83)*y(9)));
g1(1,79)=y(84);
g1(1,80)=(-y(70));
g1(1,83)=y(43)+y(41)+y(58)+y(51)-(y(74)*y(7)+y(72)*y(5)+(1+y(76)-params(20))*y(9));
g1(1,84)=y(57)+y(66)-(-y(79));
g1(2,57)=(-((1-params(70))*getPowerDeriv(y(57)-y(90),(-params(55)),1)+params(70)*T1569));
g1(2,70)=(-(params(70)*T1569*(-(params(61)/(1+params(62))*getPowerDeriv(y(70),1+params(62),1)))));
g1(2,90)=(-((1-params(70))*(-(getPowerDeriv(y(57)-y(90),(-params(55)),1)))+params(70)*(-T1569)));
g1(2,94)=1;
g1(3,70)=(-((1-params(70))*params(61)*getPowerDeriv(y(70),params(62),1)+params(70)*y(94)*params(61)*getPowerDeriv(y(70),params(62),1)));
g1(3,93)=1;
g1(3,94)=(-(params(70)*params(61)*y(70)^params(62)));
g1(4,43)=y(83)*y(94)/y(84);
g1(4,169)=(-(y(187)*params(1)*y(191)*params(60)/y(188)));
g1(4,182)=(-(params(1)*y(191)*y(187)/y(188)));
g1(4,83)=y(94)*(1+y(43))/y(84);
g1(4,187)=(-(params(1)*y(191)*(y(182)+params(60)*y(169))/y(188)));
g1(4,84)=(-(y(83)*y(94)*(1+y(43))))/(y(84)*y(84));
g1(4,188)=(-((-(params(1)*y(191)*(y(182)+params(60)*y(169))*y(187)))/(y(188)*y(188))));
g1(4,94)=y(83)*(1+y(43))/y(84);
g1(4,191)=(-(y(187)*params(1)*(y(182)+params(60)*y(169))/y(188)));
g1(5,41)=y(83)*y(94)/y(84);
g1(5,167)=(-(y(187)*params(1)*y(191)*params(60)/y(188)));
g1(5,174)=(-(y(187)*params(1)*y(191)*(-(1/y(54)))/y(188)));
g1(5,54)=(-(y(187)*params(1)*y(191)*T1477/y(188)));
g1(5,181)=(-(params(1)*y(191)*y(187)/y(188)));
g1(5,83)=y(94)*(1+y(41))/y(84);
g1(5,187)=(-(params(1)*y(191)*(y(181)-y(174)/y(54)+params(60)*y(167))/y(188)));
g1(5,84)=(-(y(83)*y(94)*(1+y(41))))/(y(84)*y(84));
g1(5,188)=(-((-(y(187)*params(1)*y(191)*(y(181)-y(174)/y(54)+params(60)*y(167))))/(y(188)*y(188))));
g1(5,94)=y(83)*(1+y(41))/y(84);
g1(5,191)=(-(y(187)*params(1)*(y(181)-y(174)/y(54)+params(60)*y(167))/y(188)));
g1(6,45)=y(94)*(1-params(71));
g1(6,171)=(1-params(71))*(-(params(1)*y(191)*params(60)));
g1(6,184)=params(71)*(-(params(1)*y(191)))+(1-params(71))*(-(params(1)*y(191)));
g1(6,94)=params(71)*y(96)+(1-params(71))*(1+y(45));
g1(6,191)=params(71)*(-(params(1)*(y(184)+params(60)*(1-params(20))*y(193))))+(1-params(71))*(-(params(1)*(1+y(184)-params(20)+params(60)*y(171))));
g1(6,96)=y(94)*params(71);
g1(6,193)=params(71)*(-(params(1)*y(191)*params(60)*(1-params(20))));
g1(7,80)=y(94);
g1(7,93)=(-1);
g1(7,94)=y(80);
g1(8,39)=1;
g1(8,40)=y(83);
g1(8,42)=y(83);
g1(8,46)=y(83);
g1(8,48)=T189;
g1(8,4)=(-(y(83)*y(72)-y(48)*1/y(6)));
g1(8,49)=y(83);
g1(8,6)=y(48)*(-y(4))/(y(6)*y(6));
g1(8,55)=y(84);
g1(8,7)=y(83)*y(74);
g1(8,58)=(-y(83));
g1(8,10)=(-(y(83)*y(78)));
g1(8,69)=y(83);
g1(8,72)=(-(y(83)*y(4)));
g1(8,74)=y(83)*y(7);
g1(8,78)=(-(y(83)*y(10)));
g1(8,83)=y(42)+y(40)+y(46)+y(49)+y(69)+y(74)*y(7)-(y(58)+y(78)*y(10)+y(72)*y(4));
g1(8,84)=y(55);
g1(8,85)=y(86)+y(89)-y(136)*y(15);
g1(8,15)=(-(y(85)*y(136)-y(112)*1/y(25)));
g1(8,86)=y(85);
g1(8,89)=y(85);
g1(8,112)=T193;
g1(8,25)=y(112)*(-y(15))/(y(25)*y(25));
g1(8,136)=(-(y(85)*y(15)));
g1(9,39)=y(83)*(1-(1-params(14))*(1-params(12)));
g1(9,3)=(-(params(14)*(-(y(83)*(-T189)))));
g1(9,4)=(-(params(14)*(-(y(83)*(1-y(3)*1/y(6))))));
g1(9,49)=(-(y(83)*(1-(1-params(14))*(1-params(11)))));
g1(9,6)=(-(params(14)*(-(y(83)*(-(y(3)*(-y(4))/(y(6)*y(6))))))));
g1(9,7)=(-(y(83)*params(14)));
g1(9,58)=y(83);
g1(9,10)=(-(params(14)*(-y(83))));
g1(9,69)=(-(y(83)*(1-(1-params(14))*(1-params(12)))));
g1(9,83)=y(58)-params(14)*(y(7)-y(10)-(y(4)-T189*y(3)-T193*y(22)))-(1-(1-params(14))*(1-params(12)))*(y(69)-y(39))-y(49)*(1-(1-params(14))*(1-params(11)));
g1(9,85)=(-(params(14)*(-y(15))))-y(86)*(1-(1-params(14))*(1-params(13)));
g1(9,15)=(-(params(14)*((-(y(83)*(-(y(22)*1/y(25)))))-y(85))));
g1(9,86)=(-(y(85)*(1-(1-params(14))*(1-params(13)))));
g1(9,22)=(-(params(14)*(-(y(83)*(-T193)))));
g1(9,25)=(-(params(14)*(-(y(83)*(-(y(22)*(-y(15))/(y(25)*y(25))))))));
g1(10,42)=y(83)*(-T243)/y(84);
g1(10,168)=(-(y(187)*T249*(-params(60))/y(188)));
g1(10,55)=(-(y(187)*(y(182)-params(14)*y(179)-params(60)*y(168))*T1494/y(188)));
g1(10,176)=y(83)*(1-y(42)-y(67))*T1511/y(84);
g1(10,67)=y(83)*(-T243)/y(84);
g1(10,179)=T1643;
g1(10,182)=(-(y(187)*T249/y(188)));
g1(10,83)=(1-y(42)-y(67))*T243/y(84);
g1(10,187)=(-(T249*(y(182)-params(14)*y(179)-params(60)*y(168))/y(188)));
g1(10,84)=(-(y(83)*(1-y(42)-y(67))*T243))/(y(84)*y(84));
g1(10,188)=(-((-(y(187)*T249*(y(182)-params(14)*y(179)-params(60)*y(168))))/(y(188)*y(188))));
g1(11,46)=y(83)*T243/y(84);
g1(11,172)=(-(y(187)*params(60)*T249/y(188)));
g1(11,55)=(-(y(187)*(y(185)-params(14)*y(179)+params(60)*y(172))*T1494/y(188)));
g1(11,176)=y(83)*(1+y(46)-y(67)*(params(14)+(1-params(14))*params(12)))*T1511/y(84);
g1(11,67)=y(83)*T243*(-(params(14)+(1-params(14))*params(12)))/y(84);
g1(11,179)=T1643;
g1(11,185)=(-(y(187)*T249/y(188)));
g1(11,83)=T243*(1+y(46)-y(67)*(params(14)+(1-params(14))*params(12)))/y(84);
g1(11,187)=(-(T249*(y(185)-params(14)*y(179)+params(60)*y(172))/y(188)));
g1(11,84)=(-(y(83)*T243*(1+y(46)-y(67)*(params(14)+(1-params(14))*params(12)))))/(y(84)*y(84));
g1(11,188)=(-((-(y(187)*T249*(y(185)-params(14)*y(179)+params(60)*y(172))))/(y(188)*y(188))));
g1(12,40)=y(83)*T243/y(84);
g1(12,166)=(-(y(187)*params(60)*T249/y(188)));
g1(12,174)=(-(y(187)*T249*(-(1/y(54)))/y(188)));
g1(12,54)=(-(y(187)*T249*T1477/y(188)));
g1(12,55)=(-(y(187)*(y(181)-y(174)/y(54)-params(14)*y(179)+params(60)*y(166))*T1494/y(188)));
g1(12,176)=y(83)*(1+y(40)-y(67)*(params(14)+(1-params(14))*params(11)))*T1511/y(84);
g1(12,67)=y(83)*T243*(-(params(14)+(1-params(14))*params(11)))/y(84);
g1(12,179)=T1643;
g1(12,181)=(-(y(187)*T249/y(188)));
g1(12,83)=T243*(1+y(40)-y(67)*(params(14)+(1-params(14))*params(11)))/y(84);
g1(12,187)=(-(T249*(y(181)-y(174)/y(54)-params(14)*y(179)+params(60)*y(166))/y(188)));
g1(12,84)=(-(y(83)*T243*(1+y(40)-y(67)*(params(14)+(1-params(14))*params(11)))))/(y(84)*y(84));
g1(12,188)=(-((-(y(187)*T249*(y(181)-y(174)/y(54)-params(14)*y(179)+params(60)*y(166))))/(y(188)*y(188))));
g1(13,55)=(-(y(189)*(y(209)-y(202)/y(118)-params(14)*y(179)+params(60)*y(190))*T1494/y(188)));
g1(13,176)=y(85)*(1+y(89)-y(67)*(params(14)+(1-params(14))*params(13)))*T1511/y(84);
g1(13,67)=y(85)*T243*(-(params(14)+(1-params(14))*params(13)))/y(84);
g1(13,179)=(-(y(189)*T249*(-params(14))/y(188)));
g1(13,84)=(-(y(85)*T243*(1+y(89)-y(67)*(params(14)+(1-params(14))*params(13)))))/(y(84)*y(84));
g1(13,188)=(-((-(T249*(y(209)-y(202)/y(118)-params(14)*y(179)+params(60)*y(190))*y(189)))/(y(188)*y(188))));
g1(13,85)=T243*(1+y(89)-y(67)*(params(14)+(1-params(14))*params(13)))/y(84);
g1(13,189)=(-(T249*(y(209)-y(202)/y(118)-params(14)*y(179)+params(60)*y(190))/y(188)));
g1(13,89)=y(85)*T243/y(84);
g1(13,190)=(-(y(189)*params(60)*T249/y(188)));
g1(13,202)=(-(y(189)*T249*(-(1/y(118)))/y(188)));
g1(13,118)=(-(y(189)*T249*T2127/y(188)));
g1(13,209)=(-(T249*y(189)/y(188)));
g1(14,47)=y(83);
g1(14,56)=y(84);
g1(14,8)=(-(y(84)*(1+y(75)-params(20))));
g1(14,65)=y(84);
g1(14,10)=y(83)*y(78);
g1(14,69)=(-y(83));
g1(14,75)=(-(y(84)*y(8)));
g1(14,78)=y(83)*y(10);
g1(14,83)=y(47)+y(78)*y(10)-y(69);
g1(14,84)=y(56)+y(65)-(1+y(75)-params(20))*y(8);
g1(15,65)=(-(y(84)*(1-params(15))*params(6)));
g1(15,10)=(-(y(83)*params(15)));
g1(15,69)=y(83);
g1(15,83)=y(69)-y(10)*params(15);
g1(15,84)=(-((1-params(15))*y(65)*params(6)));
g1(16,47)=T1378;
g1(16,173)=(-(y(187)*params(3)*(-params(60))/T359/y(188)));
g1(16,56)=y(83)*(-((1-y(47)-y(68))*T1524))/(T346*T346)/y(84);
g1(16,177)=(-(y(187)*(-(params(3)*(y(185)-params(60)*y(173)-params(15)*y(180))*T1544))/(T359*T359)/y(188)));
g1(16,68)=T1378;
g1(16,180)=(-(y(187)*params(3)*(-params(15))/T359/y(188)));
g1(16,185)=(-(y(187)*params(3)/T359/y(188)));
g1(16,83)=(1-y(47)-y(68))/T346/y(84);
g1(16,187)=(-(params(3)*(y(185)-params(60)*y(173)-params(15)*y(180))/T359/y(188)));
g1(16,84)=(-(y(83)*(1-y(47)-y(68))/T346))/(y(84)*y(84));
g1(16,188)=(-((-(y(187)*params(3)*(y(185)-params(60)*y(173)-params(15)*y(180))/T359))/(y(188)*y(188))));
g1(17,44)=(1-params(71))*1/T346;
g1(17,170)=(1-params(71))*(-(params(60)*params(3)/T359));
g1(17,56)=params(71)*(-(y(95)*(1-params(6)*(1-params(15))*y(68))*T1524))/(T346*T346)+(1-params(71))*(-((1+y(44)-params(6)*(1-params(15))*y(68))*T1524))/(T346*T346);
g1(17,177)=params(71)*(-((-(params(3)*(y(183)+params(60)*(1-params(20))*y(192))*T1544))/(T359*T359)))+(1-params(71))*(-((-(params(3)*(1+y(183)-params(20)+params(60)*y(170))*T1544))/(T359*T359)));
g1(17,68)=params(71)*y(95)*(-((1-params(15))*params(6)))/T346+(1-params(71))*(-((1-params(15))*params(6)))/T346;
g1(17,183)=params(71)*(-(params(3)/T359))+(1-params(71))*(-(params(3)/T359));
g1(17,95)=params(71)*(1-params(6)*(1-params(15))*y(68))/T346;
g1(17,192)=params(71)*(-(params(60)*(1-params(20))*params(3)/T359));
g1(18,38)=(-1);
g1(18,8)=(-(params(4)*params(5)*1/y(8)));
g1(18,9)=(-(params(4)*(1-params(5))*1/y(9)));
g1(18,70)=(-((1-params(4))*1/y(70)));
g1(18,81)=1/y(81);
g1(19,8)=(-y(75));
g1(19,75)=(-y(8));
g1(19,81)=params(4)*params(5);
g1(20,9)=(-y(76));
g1(20,76)=(-y(9));
g1(20,81)=params(4)*(1-params(5));
g1(21,70)=(-y(80));
g1(21,80)=(-y(70));
g1(21,81)=1-params(4);
g1(22,84)=1;
g1(23,85)=1;
g1(24,48)=1;
g1(24,4)=(-(y(83)*y(72)));
g1(24,49)=y(83);
g1(24,5)=(-(y(83)*y(72)));
g1(24,51)=y(83);
g1(24,64)=(-y(84));
g1(24,72)=(-(y(83)*(y(5)+y(4)+y(34))));
g1(24,79)=y(84);
g1(24,83)=y(150)+y(51)+y(49)-y(72)*(y(5)+y(4)+y(34));
g1(24,84)=(-(y(64)-y(79)));
g1(24,34)=(-(y(83)*y(72)));
g1(24,150)=y(83);
g1(25,174)=1;
g1(25,54)=(-y(71));
g1(25,175)=y(187);
g1(25,178)=(-y(84));
g1(25,71)=(-y(54));
g1(25,186)=y(84);
g1(25,187)=y(175);
g1(25,84)=(-(y(178)-y(186)));
g1(25,91)=1;
g1(26,48)=(-((1-params(16))*y(83)*y(81)*params(66)*(-params(67))*exp(y(48)*(-params(67)))));
g1(26,4)=(-(y(83)*params(16)));
g1(26,49)=y(83);
g1(26,5)=(-(y(83)*params(16)));
g1(26,51)=y(83);
g1(26,81)=(-((1-params(16))*y(83)*params(66)*exp(y(48)*(-params(67)))));
g1(26,83)=y(150)+y(51)+y(49)-((1-params(16))*y(81)*params(66)*exp(y(48)*(-params(67)))+(y(5)+y(4)+y(34))*params(16));
g1(26,92)=1;
g1(26,34)=(-(y(83)*params(16)));
g1(26,150)=y(83);
g1(27,17)=(-params(19));
g1(27,92)=1;
g1(27,227)=(-1);
g1(28,14)=(-params(18));
g1(28,79)=1;
g1(28,81)=(-((1-params(18))*params(30)));
g1(28,226)=(-1);
g1(29,83)=1;
g1(30,1)=(-params(7));
g1(30,38)=1;
g1(30,222)=(-1);
g1(31,2)=(-params(8));
g1(31,39)=1;
g1(31,223)=(-1);
g1(32,3)=(-params(53));
g1(32,48)=1;
g1(32,225)=(-1);
g1(33,16)=(-params(9));
g1(33,90)=1;
g1(33,224)=(-1);
g1(34,40)=1;
g1(34,4)=(-((-params(26))/params(35)));
g1(34,49)=(-(params(26)/params(35)));
g1(35,41)=1;
g1(35,5)=(-((-params(21))/params(36)));
g1(35,51)=(-(params(21)/params(36)));
g1(36,15)=(-((-params(31))/params(37)));
g1(36,86)=(-(params(31)/params(37)));
g1(36,89)=1;
g1(37,42)=1;
g1(37,7)=(-((y(7)*(-params(22))-params(22)*(y(58)-y(7)))/(y(7)*y(7))));
g1(37,58)=(-(params(22)/y(7)));
g1(38,43)=1;
g1(38,7)=(-((y(7)*(-params(23))-(y(58)-y(7))*params(23))/(y(7)*y(7))));
g1(38,58)=(-(params(23)/y(7)));
g1(39,44)=1;
g1(39,8)=(-((1-params(71))*(y(8)*(-params(24))-params(24)*(y(65)-y(8)))/(y(8)*y(8))));
g1(39,65)=(-((1-params(71))*params(24)/y(8)));
g1(39,18)=(-(params(71)*(y(18)*(-params(24))-params(24)*(y(97)-y(18)))/(y(18)*y(18))));
g1(39,97)=(-(params(71)*params(24)/y(18)));
g1(40,45)=1;
g1(40,9)=(-((1-params(71))*(y(9)*(-params(25))-params(25)*(y(66)-y(9)))/(y(9)*y(9))));
g1(40,66)=(-((1-params(71))*params(25)/y(9)));
g1(40,19)=(-(params(71)*(y(19)*(-params(25))-params(25)*(y(98)-y(19)))/(y(19)*y(19))));
g1(40,98)=(-(params(71)*params(25)/y(19)));
g1(41,46)=1;
g1(41,10)=(-((y(10)*(-params(27))-params(27)*(y(69)-y(10)))/(y(10)*y(10))));
g1(41,69)=(-(params(27)/y(10)));
g1(42,47)=1;
g1(42,10)=(-((y(10)*(-params(28))-(y(69)-y(10))*params(28))/(y(10)*y(10))));
g1(42,69)=(-(params(28)/y(10)));
g1(43,49)=(-((-y(51))/((y(150)+y(51)+y(49))*(y(150)+y(51)+y(49)))));
g1(43,51)=(-((y(150)+y(51)+y(49)-y(51))/((y(150)+y(51)+y(49))*(y(150)+y(51)+y(49)))));
g1(43,53)=1;
g1(43,150)=(-((-y(51))/((y(150)+y(51)+y(49))*(y(150)+y(51)+y(49)))));
g1(44,11)=(-params(57));
g1(44,71)=(-(1-params(57)));
g1(44,72)=1;
g1(45,12)=(-params(58));
g1(45,73)=(-(1-params(58)));
g1(45,74)=1;
g1(46,13)=(-params(59));
g1(46,77)=(-(1-params(59)));
g1(46,78)=1;
g1(47,59)=1;
g1(47,181)=(-1);
g1(48,60)=1;
g1(48,182)=(-1);
g1(49,61)=1;
g1(49,183)=(-1);
g1(50,62)=1;
g1(50,184)=(-1);
g1(51,63)=1;
g1(51,185)=(-1);
g1(52,81)=(-((-(y(85)*y(86)*y(83)*4))/(y(83)*y(81)*4*y(83)*y(81)*4)));
g1(52,83)=(-((-(y(85)*y(86)*y(81)*4))/(y(83)*y(81)*4*y(83)*y(81)*4)));
g1(52,85)=(-(y(86)/(y(83)*y(81)*4)));
g1(52,86)=(-(y(85)/(y(83)*y(81)*4)));
g1(52,87)=1;
g1(53,51)=(-(1/(y(81)*4)));
g1(53,52)=1;
g1(53,81)=(-((-(y(51)*4))/(y(81)*4*y(81)*4)));
g1(54,49)=(-(1/(y(81)*4)));
g1(54,50)=1;
g1(54,81)=(-((-(y(49)*4))/(y(81)*4*y(81)*4)));
g1(55,49)=(-y(83));
g1(55,51)=(-y(83));
g1(55,54)=y(83);
g1(55,83)=y(54)-(y(150)+y(51)+y(49));
g1(55,150)=(-y(83));
g1(56,64)=(-(y(84)/(y(83)*params(38))));
g1(56,82)=1;
g1(56,83)=(-((-(y(84)*y(64)*params(38)))/(y(83)*params(38)*y(83)*params(38))));
g1(56,84)=(-(y(64)/(y(83)*params(38))));
g1(57,54)=(-(1/y(81)));
g1(57,81)=(-((-y(54))/(y(81)*y(81))));
g1(57,88)=1;
g1(58,44)=params(71)*(-y(95))/T346;
g1(58,170)=params(71)*params(60)*params(3)/T359;
g1(58,56)=params(71)*(-((y(95)*(1-y(44))-1)*T1524))/(T346*T346);
g1(58,177)=params(71)*(-(y(170)*params(60)*params(3)*T1544))/(T359*T359);
g1(58,95)=1-params(71)+params(71)*(1-y(44))/T346;
g1(59,45)=params(71)*y(94)*(-y(96));
g1(59,171)=params(71)*y(191)*params(1)*params(60);
g1(59,94)=params(71)*(y(96)*(1-y(45))-1);
g1(59,191)=params(71)*y(171)*params(1)*params(60);
g1(59,96)=1-params(71)+params(71)*y(94)*(1-y(45));
g1(60,8)=1-params(20);
g1(60,65)=(-1);
g1(60,97)=1;
g1(61,9)=1-params(20);
g1(61,66)=(-1);
g1(61,98)=1;
g1(62,55)=(-1);
g1(62,56)=(-1);
g1(62,57)=(-1);
g1(62,99)=1;
g1(63,97)=(-1);
g1(63,98)=(-1);
g1(63,100)=1;
g1(64,64)=y(84);
g1(64,81)=(-y(83));
g1(64,83)=y(101)-y(81);
g1(64,84)=(-((-y(99))-y(100)-y(64)));
g1(64,99)=y(84);
g1(64,100)=y(84);
g1(64,101)=y(83);
g1(65,103)=(-1);
g1(65,105)=y(147);
g1(65,107)=y(147);
g1(65,112)=y(24)/y(25);
g1(65,24)=(-(y(136)*y(147)-y(112)*1/y(25)));
g1(65,115)=y(147);
g1(65,25)=y(112)*(-y(24))/(y(25)*y(25));
g1(65,121)=y(148);
g1(65,26)=(-(y(147)*y(138)));
g1(65,122)=y(147);
g1(65,28)=(-(y(147)*(1+y(140)-params(91))));
g1(65,130)=y(148);
g1(65,134)=(-y(144));
g1(65,136)=(-(y(147)*y(24)));
g1(65,138)=(-(y(147)*y(26)));
g1(65,140)=(-(y(147)*y(28)));
g1(65,143)=y(148);
g1(65,144)=(-y(134));
g1(65,147)=y(107)+y(105)+y(122)+y(115)-(y(138)*y(26)+y(136)*y(24)+(1+y(140)-params(91))*y(28));
g1(65,148)=y(121)+y(130)-(-y(143));
g1(66,121)=(-((1-params(141))*getPowerDeriv(y(121)-y(154),(-params(126)),1)+params(141)*T2219));
g1(66,134)=(-(params(141)*T2219*(-(params(132)/(1+params(133))*getPowerDeriv(y(134),1+params(133),1)))));
g1(66,154)=(-((1-params(141))*(-(getPowerDeriv(y(121)-y(154),(-params(126)),1)))+params(141)*(-T2219)));
g1(66,158)=1;
g1(67,134)=(-((1-params(141))*params(132)*getPowerDeriv(y(134),params(133),1)+params(141)*y(158)*params(132)*getPowerDeriv(y(134),params(133),1)));
g1(67,157)=1;
g1(67,158)=(-(params(141)*params(132)*y(134)^params(133)));
g1(68,107)=y(147)*y(158)/y(148);
g1(68,197)=(-(y(215)*params(72)*y(219)*params(131)/y(216)));
g1(68,210)=(-(params(72)*y(219)*y(215)/y(216)));
g1(68,147)=y(158)*(1+y(107))/y(148);
g1(68,215)=(-(params(72)*y(219)*(y(210)+params(131)*y(197))/y(216)));
g1(68,148)=(-(y(147)*y(158)*(1+y(107))))/(y(148)*y(148));
g1(68,216)=(-((-(params(72)*y(219)*(y(210)+params(131)*y(197))*y(215)))/(y(216)*y(216))));
g1(68,158)=y(147)*(1+y(107))/y(148);
g1(68,219)=(-(y(215)*params(72)*(y(210)+params(131)*y(197))/y(216)));
g1(69,105)=y(147)*y(158)/y(148);
g1(69,195)=(-(y(215)*params(72)*y(219)*params(131)/y(216)));
g1(69,202)=(-(y(215)*params(72)*y(219)*(-(1/y(118)))/y(216)));
g1(69,118)=(-(y(215)*params(72)*y(219)*T2127/y(216)));
g1(69,209)=(-(params(72)*y(219)*y(215)/y(216)));
g1(69,147)=y(158)*(1+y(105))/y(148);
g1(69,215)=(-(params(72)*y(219)*(y(209)-y(202)/y(118)+params(131)*y(195))/y(216)));
g1(69,148)=(-(y(147)*y(158)*(1+y(105))))/(y(148)*y(148));
g1(69,216)=(-((-(y(215)*params(72)*y(219)*(y(209)-y(202)/y(118)+params(131)*y(195))))/(y(216)*y(216))));
g1(69,158)=y(147)*(1+y(105))/y(148);
g1(69,219)=(-(y(215)*params(72)*(y(209)-y(202)/y(118)+params(131)*y(195))/y(216)));
g1(70,109)=y(158)*(1-params(142));
g1(70,199)=(1-params(142))*(-(params(72)*y(219)*params(131)));
g1(70,212)=params(142)*(-(params(72)*y(219)))+(1-params(142))*(-(params(72)*y(219)));
g1(70,158)=params(142)*y(160)+(1-params(142))*(1+y(109));
g1(70,219)=params(142)*(-(params(72)*(y(212)+params(131)*(1-params(91))*y(221))))+(1-params(142))*(-(params(72)*(1+y(212)-params(91)+params(131)*y(199))));
g1(70,160)=y(158)*params(142);
g1(70,221)=params(142)*(-(params(72)*y(219)*params(131)*(1-params(91))));
g1(71,144)=y(158);
g1(71,157)=(-1);
g1(71,158)=y(144);
g1(72,48)=T859;
g1(72,6)=y(48)*(-y(34))/(y(6)*y(6));
g1(72,72)=(-(y(34)*y(149)));
g1(72,103)=1;
g1(72,104)=y(147);
g1(72,106)=y(147);
g1(72,110)=y(147);
g1(72,112)=T856;
g1(72,23)=(-(y(136)*y(147)-y(112)*1/y(25)));
g1(72,113)=y(147);
g1(72,25)=y(112)*(-y(23))/(y(25)*y(25));
g1(72,119)=y(148);
g1(72,26)=y(147)*y(138);
g1(72,122)=(-y(147));
g1(72,29)=(-(y(147)*y(142)));
g1(72,133)=y(147);
g1(72,136)=(-(y(147)*y(23)));
g1(72,138)=y(147)*y(26);
g1(72,142)=(-(y(147)*y(29)));
g1(72,147)=y(106)+y(104)+y(110)+y(113)+y(133)+y(138)*y(26)-(y(122)+y(142)*y(29)+y(136)*y(23));
g1(72,148)=y(119);
g1(72,149)=y(150)+y(153)-y(72)*y(34);
g1(72,34)=(-(y(72)*y(149)-y(48)*1/y(6)));
g1(72,150)=y(149);
g1(72,153)=y(149);
g1(73,3)=(-(params(85)*(-(y(147)*(-T859)))));
g1(73,6)=(-(params(85)*(-(y(147)*(-(y(3)*(-y(34))/(y(6)*y(6))))))));
g1(73,103)=y(147)*(1-(1-params(85))*(1-params(83)));
g1(73,22)=(-(params(85)*(-(y(147)*(-T856)))));
g1(73,23)=(-(params(85)*(-(y(147)*(1-y(22)*1/y(25))))));
g1(73,113)=(-(y(147)*(1-(1-params(85))*(1-params(82)))));
g1(73,25)=(-(params(85)*(-(y(147)*(-(y(22)*(-y(23))/(y(25)*y(25))))))));
g1(73,26)=(-(y(147)*params(85)));
g1(73,122)=y(147);
g1(73,29)=(-(params(85)*(-y(147))));
g1(73,133)=(-(y(147)*(1-(1-params(85))*(1-params(83)))));
g1(73,147)=y(122)-params(85)*(y(26)-y(29)-(y(23)-y(22)*T856-y(3)*T859))-(1-(1-params(85))*(1-params(83)))*(y(133)-y(103))-y(113)*(1-(1-params(85))*(1-params(82)));
g1(73,149)=(-(params(85)*(-y(34))))-y(150)*(1-(1-params(85))*(1-params(84)));
g1(73,34)=(-(params(85)*((-(y(147)*(-(y(3)*1/y(6)))))-y(149))));
g1(73,150)=(-(y(149)*(1-(1-params(85))*(1-params(84)))));
g1(74,106)=y(147)*(-T906)/y(148);
g1(74,196)=(-(y(215)*T912*(-params(131))/y(216)));
g1(74,119)=(-(y(215)*(y(210)-params(85)*y(207)-params(131)*y(196))*T2144/y(216)));
g1(74,204)=y(147)*(1-y(106)-y(131))*T2161/y(148);
g1(74,131)=y(147)*(-T906)/y(148);
g1(74,207)=T2293;
g1(74,210)=(-(y(215)*T912/y(216)));
g1(74,147)=(1-y(106)-y(131))*T906/y(148);
g1(74,215)=(-(T912*(y(210)-params(85)*y(207)-params(131)*y(196))/y(216)));
g1(74,148)=(-(y(147)*(1-y(106)-y(131))*T906))/(y(148)*y(148));
g1(74,216)=(-((-(y(215)*T912*(y(210)-params(85)*y(207)-params(131)*y(196))))/(y(216)*y(216))));
g1(75,110)=y(147)*T906/y(148);
g1(75,200)=(-(y(215)*params(131)*T912/y(216)));
g1(75,119)=(-(y(215)*(y(213)-params(85)*y(207)+params(131)*y(200))*T2144/y(216)));
g1(75,204)=y(147)*(1+y(110)-y(131)*(params(85)+(1-params(85))*params(83)))*T2161/y(148);
g1(75,131)=y(147)*T906*(-(params(85)+(1-params(85))*params(83)))/y(148);
g1(75,207)=T2293;
g1(75,213)=(-(y(215)*T912/y(216)));
g1(75,147)=T906*(1+y(110)-y(131)*(params(85)+(1-params(85))*params(83)))/y(148);
g1(75,215)=(-(T912*(y(213)-params(85)*y(207)+params(131)*y(200))/y(216)));
g1(75,148)=(-(y(147)*T906*(1+y(110)-y(131)*(params(85)+(1-params(85))*params(83)))))/(y(148)*y(148));
g1(75,216)=(-((-(y(215)*T912*(y(213)-params(85)*y(207)+params(131)*y(200))))/(y(216)*y(216))));
g1(76,104)=y(147)*T906/y(148);
g1(76,194)=(-(y(215)*params(131)*T912/y(216)));
g1(76,202)=(-(y(215)*T912*(-(1/y(118)))/y(216)));
g1(76,118)=(-(y(215)*T912*T2127/y(216)));
g1(76,119)=(-(y(215)*(y(209)-y(202)/y(118)-params(85)*y(207)+params(131)*y(194))*T2144/y(216)));
g1(76,204)=y(147)*(1+y(104)-y(131)*(params(85)+(1-params(85))*params(82)))*T2161/y(148);
g1(76,131)=y(147)*T906*(-(params(85)+(1-params(85))*params(82)))/y(148);
g1(76,207)=T2293;
g1(76,209)=(-(y(215)*T912/y(216)));
g1(76,147)=T906*(1+y(104)-y(131)*(params(85)+(1-params(85))*params(82)))/y(148);
g1(76,215)=(-(T912*(y(209)-y(202)/y(118)-params(85)*y(207)+params(131)*y(194))/y(216)));
g1(76,148)=(-(y(147)*T906*(1+y(104)-y(131)*(params(85)+(1-params(85))*params(82)))))/(y(148)*y(148));
g1(76,216)=(-((-(y(215)*T912*(y(209)-y(202)/y(118)-params(85)*y(207)+params(131)*y(194))))/(y(216)*y(216))));
g1(77,174)=(-(y(217)*T912*(-(1/y(54)))/y(216)));
g1(77,54)=(-(y(217)*T912*T1477/y(216)));
g1(77,181)=(-(T912*y(217)/y(216)));
g1(77,119)=(-(y(217)*(y(181)-y(174)/y(54)-params(85)*y(207)+params(131)*y(218))*T2144/y(216)));
g1(77,204)=y(149)*(1+y(153)-y(131)*(params(85)+(1-params(85))*params(84)))*T2161/y(148);
g1(77,131)=y(149)*T906*(-(params(85)+(1-params(85))*params(84)))/y(148);
g1(77,207)=(-(y(217)*T912*(-params(85))/y(216)));
g1(77,148)=(-(y(149)*T906*(1+y(153)-y(131)*(params(85)+(1-params(85))*params(84)))))/(y(148)*y(148));
g1(77,216)=(-((-(T912*(y(181)-y(174)/y(54)-params(85)*y(207)+params(131)*y(218))*y(217)))/(y(216)*y(216))));
g1(77,149)=T906*(1+y(153)-y(131)*(params(85)+(1-params(85))*params(84)))/y(148);
g1(77,217)=(-(T912*(y(181)-y(174)/y(54)-params(85)*y(207)+params(131)*y(218))/y(216)));
g1(77,153)=y(149)*T906/y(148);
g1(77,218)=(-(y(217)*params(131)*T912/y(216)));
g1(78,111)=y(147);
g1(78,120)=y(148);
g1(78,27)=(-(y(148)*(1+y(139)-params(91))));
g1(78,129)=y(148);
g1(78,29)=y(147)*y(142);
g1(78,133)=(-y(147));
g1(78,139)=(-(y(148)*y(27)));
g1(78,142)=y(147)*y(29);
g1(78,147)=y(111)+y(142)*y(29)-y(133);
g1(78,148)=y(120)+y(129)-(1+y(139)-params(91))*y(27);
g1(79,129)=(-(y(148)*(1-params(86))*params(77)));
g1(79,29)=(-(y(147)*params(86)));
g1(79,133)=y(147);
g1(79,147)=y(133)-y(29)*params(86);
g1(79,148)=(-((1-params(86))*y(129)*params(77)));
g1(80,111)=T2040;
g1(80,201)=(-(y(215)*params(74)*(-params(131))/T1017/y(216)));
g1(80,120)=y(147)*(-((1-y(111)-y(132))*T2174))/(T1004*T1004)/y(148);
g1(80,205)=(-(y(215)*(-(params(74)*(y(213)-params(131)*y(201)-params(86)*y(208))*T2194))/(T1017*T1017)/y(216)));
g1(80,132)=T2040;
g1(80,208)=(-(y(215)*params(74)*(-params(86))/T1017/y(216)));
g1(80,213)=(-(y(215)*params(74)/T1017/y(216)));
g1(80,147)=(1-y(111)-y(132))/T1004/y(148);
g1(80,215)=(-(params(74)*(y(213)-params(131)*y(201)-params(86)*y(208))/T1017/y(216)));
g1(80,148)=(-(y(147)*(1-y(111)-y(132))/T1004))/(y(148)*y(148));
g1(80,216)=(-((-(y(215)*params(74)*(y(213)-params(131)*y(201)-params(86)*y(208))/T1017))/(y(216)*y(216))));
g1(81,108)=(1-params(142))*1/T1004;
g1(81,198)=(1-params(142))*(-(params(131)*params(74)/T1017));
g1(81,120)=params(142)*(-(y(159)*(1-params(77)*(1-params(86))*y(132))*T2174))/(T1004*T1004)+(1-params(142))*(-((1+y(108)-params(77)*(1-params(86))*y(132))*T2174))/(T1004*T1004);
g1(81,205)=params(142)*(-((-(params(74)*(y(211)+params(131)*(1-params(91))*y(220))*T2194))/(T1017*T1017)))+(1-params(142))*(-((-(params(74)*(1+y(211)-params(91)+params(131)*y(198))*T2194))/(T1017*T1017)));
g1(81,132)=params(142)*y(159)*(-((1-params(86))*params(77)))/T1004+(1-params(142))*(-((1-params(86))*params(77)))/T1004;
g1(81,211)=params(142)*(-(params(74)/T1017))+(1-params(142))*(-(params(74)/T1017));
g1(81,159)=params(142)*(1-params(77)*(1-params(86))*y(132))/T1004;
g1(81,220)=params(142)*(-(params(131)*(1-params(91))*params(74)/T1017));
g1(82,102)=(-1);
g1(82,27)=(-(params(75)*params(76)*1/y(27)));
g1(82,28)=(-(params(75)*(1-params(76))*1/y(28)));
g1(82,134)=(-((1-params(75))*1/y(134)));
g1(82,145)=1/y(145);
g1(83,27)=(-y(139));
g1(83,139)=(-y(27));
g1(83,145)=params(75)*params(76);
g1(84,28)=(-y(140));
g1(84,140)=(-y(28));
g1(84,145)=params(75)*(1-params(76));
g1(85,134)=(-y(144));
g1(85,144)=(-y(134));
g1(85,145)=1-params(75);
g1(86,148)=1;
g1(87,149)=1;
g1(88,15)=(-(y(136)*y(147)));
g1(88,86)=y(147);
g1(88,112)=1;
g1(88,23)=(-(y(136)*y(147)));
g1(88,113)=y(147);
g1(88,24)=(-(y(136)*y(147)));
g1(88,115)=y(147);
g1(88,128)=(-y(148));
g1(88,136)=(-(y(147)*(y(15)+y(24)+y(23))));
g1(88,143)=y(148);
g1(88,147)=y(86)+y(115)+y(113)-y(136)*(y(15)+y(24)+y(23));
g1(88,148)=(-(y(128)-y(143)));
g1(89,202)=1;
g1(89,118)=(-y(135));
g1(89,203)=y(215);
g1(89,206)=(-y(148));
g1(89,135)=(-y(118));
g1(89,214)=y(148);
g1(89,215)=y(203);
g1(89,148)=(-(y(206)-y(214)));
g1(89,155)=1;
g1(90,15)=(-(y(147)*params(87)));
g1(90,86)=y(147);
g1(90,112)=(-((1-params(87))*y(147)*y(145)*params(137)*(-params(138))*exp(y(112)*(-params(138)))));
g1(90,23)=(-(y(147)*params(87)));
g1(90,113)=y(147);
g1(90,24)=(-(y(147)*params(87)));
g1(90,115)=y(147);
g1(90,145)=(-((1-params(87))*y(147)*params(137)*exp(y(112)*(-params(138)))));
g1(90,147)=y(86)+y(115)+y(113)-((1-params(87))*y(145)*params(137)*exp(y(112)*(-params(138)))+(y(15)+y(24)+y(23))*params(87));
g1(90,156)=1;
g1(91,156)=1;
g1(92,33)=(-params(89));
g1(92,143)=1;
g1(92,145)=(-((1-params(89))*params(101)));
g1(92,232)=(-1);
g1(93,147)=1;
g1(94,20)=(-params(78));
g1(94,102)=1;
g1(94,228)=(-1);
g1(95,21)=(-params(79));
g1(95,103)=1;
g1(95,229)=(-1);
g1(96,22)=(-params(124));
g1(96,112)=1;
g1(96,231)=(-1);
g1(97,35)=(-params(80));
g1(97,154)=1;
g1(97,230)=(-1);
g1(98,104)=1;
g1(98,23)=(-((-params(97))/params(106)));
g1(98,113)=(-(params(97)/params(106)));
g1(99,105)=1;
g1(99,24)=(-((-params(92))/params(107)));
g1(99,115)=(-(params(92)/params(107)));
g1(100,34)=(-((-params(102))/params(108)));
g1(100,150)=(-(params(102)/params(108)));
g1(100,153)=1;
g1(101,106)=1;
g1(101,26)=(-((y(26)*(-params(93))-params(93)*(y(122)-y(26)))/(y(26)*y(26))));
g1(101,122)=(-(params(93)/y(26)));
g1(102,107)=1;
g1(102,26)=(-((y(26)*(-params(94))-(y(122)-y(26))*params(94))/(y(26)*y(26))));
g1(102,122)=(-(params(94)/y(26)));
g1(103,108)=1;
g1(103,27)=(-((1-params(142))*(y(27)*(-params(95))-params(95)*(y(129)-y(27)))/(y(27)*y(27))));
g1(103,129)=(-((1-params(142))*params(95)/y(27)));
g1(103,36)=(-(params(142)*(y(36)*(-params(95))-params(95)*(y(161)-y(36)))/(y(36)*y(36))));
g1(103,161)=(-(params(142)*params(95)/y(36)));
g1(104,109)=1;
g1(104,28)=(-((1-params(142))*(y(28)*(-params(96))-params(96)*(y(130)-y(28)))/(y(28)*y(28))));
g1(104,130)=(-((1-params(142))*params(96)/y(28)));
g1(104,37)=(-(params(142)*(y(37)*(-params(96))-params(96)*(y(162)-y(37)))/(y(37)*y(37))));
g1(104,162)=(-(params(142)*params(96)/y(37)));
g1(105,110)=1;
g1(105,29)=(-((y(29)*(-params(98))-params(98)*(y(133)-y(29)))/(y(29)*y(29))));
g1(105,133)=(-(params(98)/y(29)));
g1(106,111)=1;
g1(106,29)=(-((y(29)*(-params(99))-(y(133)-y(29))*params(99))/(y(29)*y(29))));
g1(106,133)=(-(params(99)/y(29)));
g1(107,86)=(-((-y(115))/((y(86)+y(115)+y(113))*(y(86)+y(115)+y(113)))));
g1(107,113)=(-((-y(115))/((y(86)+y(115)+y(113))*(y(86)+y(115)+y(113)))));
g1(107,115)=(-((y(86)+y(115)+y(113)-y(115))/((y(86)+y(115)+y(113))*(y(86)+y(115)+y(113)))));
g1(107,117)=1;
g1(108,30)=(-params(128));
g1(108,135)=(-(1-params(128)));
g1(108,136)=1;
g1(109,31)=(-params(129));
g1(109,137)=(-(1-params(129)));
g1(109,138)=1;
g1(110,32)=(-params(130));
g1(110,141)=(-(1-params(130)));
g1(110,142)=1;
g1(111,123)=1;
g1(111,209)=(-1);
g1(112,124)=1;
g1(112,210)=(-1);
g1(113,125)=1;
g1(113,211)=(-1);
g1(114,126)=1;
g1(114,212)=(-1);
g1(115,127)=1;
g1(115,213)=(-1);
g1(116,145)=(-((-(y(150)*y(149)*4*y(147)))/(4*y(147)*y(145)*4*y(147)*y(145))));
g1(116,147)=(-((-(y(150)*y(149)*4*y(145)))/(4*y(147)*y(145)*4*y(147)*y(145))));
g1(116,149)=(-(y(150)/(4*y(147)*y(145))));
g1(116,150)=(-(y(149)/(4*y(147)*y(145))));
g1(116,151)=1;
g1(117,115)=(-(1/(4*y(145))));
g1(117,116)=1;
g1(117,145)=(-((-(4*y(115)))/(4*y(145)*4*y(145))));
g1(118,113)=(-(1/(4*y(145))));
g1(118,114)=1;
g1(118,145)=(-((-(4*y(113)))/(4*y(145)*4*y(145))));
g1(119,86)=(-y(147));
g1(119,113)=(-y(147));
g1(119,115)=(-y(147));
g1(119,118)=y(147);
g1(119,147)=y(118)-(y(86)+y(115)+y(113));
g1(120,128)=(-(y(148)/(y(147)*params(109))));
g1(120,146)=1;
g1(120,147)=(-((-(y(148)*y(128)*params(109)))/(y(147)*params(109)*y(147)*params(109))));
g1(120,148)=(-(y(128)/(y(147)*params(109))));
g1(121,118)=(-(1/y(145)));
g1(121,145)=(-((-y(118))/(y(145)*y(145))));
g1(121,152)=1;
g1(122,108)=params(142)*(-y(159))/T1004;
g1(122,198)=params(142)*params(131)*params(74)/T1017;
g1(122,120)=params(142)*(-((y(159)*(1-y(108))-1)*T2174))/(T1004*T1004);
g1(122,205)=params(142)*(-(y(198)*params(131)*params(74)*T2194))/(T1017*T1017);
g1(122,159)=1-params(142)+params(142)*(1-y(108))/T1004;
g1(123,109)=params(142)*y(158)*(-y(160));
g1(123,199)=params(142)*y(219)*params(72)*params(131);
g1(123,158)=params(142)*(y(160)*(1-y(109))-1);
g1(123,219)=params(142)*y(199)*params(72)*params(131);
g1(123,160)=1-params(142)+params(142)*y(158)*(1-y(109));
g1(124,27)=1-params(91);
g1(124,129)=(-1);
g1(124,161)=1;
g1(125,28)=1-params(91);
g1(125,130)=(-1);
g1(125,162)=1;
g1(126,119)=(-1);
g1(126,120)=(-1);
g1(126,121)=(-1);
g1(126,163)=1;
g1(127,161)=(-1);
g1(127,162)=(-1);
g1(127,164)=1;
g1(128,128)=y(148);
g1(128,145)=(-y(147));
g1(128,147)=y(165)-y(145);
g1(128,148)=(-((-y(163))-y(164)-y(128)));
g1(128,163)=y(148);
g1(128,164)=y(148);
g1(128,165)=y(147);
end
if nargout >= 3,
%
% Hessian matrix
%

  g2 = sparse([],[],[],128,54289);
end
if nargout >= 4,
%
% Third order derivatives
%

  g3 = sparse([],[],[],128,12649337);
end
end

%
% The k-th derivative of x^p
%
function dxp=getPowerDeriv(x,p,k)
    if (abs(x) < 1e-012) && (p > 0) && (k >= p) && (abs(p - round(p)) < 1e-012)
        dxp = 0;
    else
        dxp = x^(p-k);
        for i=0:k-1
            dxp = dxp*p;
            p = p-1;
        end
    end
end
